## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global forgeurl https://github.com/TheTumultuousUnicornOfDarkness/CPU-X
%global tag v%{version}
%global appid io.github.thetumultuousunicornofdarkness.%{name}

Name:           cpu-x
Version:        5.0.4
%forgemeta
Release:        %autorelease
Summary:        Free software that gathers information on CPU, motherboard and more

ExclusiveArch:  i686 x86_64

License:        GPL-3.0-or-later
URL:            https://thetumultuousunicornofdarkness.github.io/CPU-X/
Source0:        %{forgesource}

BuildRequires:  cmake >= 3.12
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  libappstream-glib
BuildRequires:  nasm

BuildRequires:  pkgconfig(glfw3) >= 3.3
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.12.0
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libcpuid) >= 0.6.4  %dnl # Upstream recommends 0.6.5
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpci)
%if 0%{?fedora} >= 39
BuildRequires:  pkgconfig(libproc2)
%else
BuildRequires:  pkgconfig(libprocps)
%endif
BuildRequires:  pkgconfig(libstatgrab)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(OpenCL)
BuildRequires:  pkgconfig(vulkan)

Requires:       %{name}-data = %{version}-%{release}
Requires:       hicolor-icon-theme

Recommends:     polkit

# https://github.com/X0rg/CPU-X/issues/105
Provides:       bundled(bandwidth) = 1.5.1
Provides:       bundled(dmidecode) = 3.6


%global _description %{expand:
CPU-X is a Free software that gathers information on CPU, motherboard and
more. CPU-X is a system profiling and monitoring application (similar to CPU-Z
for Windows), but CPU-X is a Free and Open Source software designed for
GNU/Linux and FreeBSD. This software is written in C++ and built with CMake
tool. It can be used in graphical mode by using GTK or in text-based mode by
using NCurses. A dump mode is present from command line.}

%description %_description


%package        data
Summary:        Data files for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

%description    data %_description

Data files for %{name}.


%prep
%forgeautosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install
rm -r %{buildroot}%{_datadir}/icons/hicolor/384x384

# invalid-lc-messages-dir
rm -r %{buildroot}%{_datadir}/locale/zh_Hant/

%find_lang %{name}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{name}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/fish/vendor_completions.d/%{name}.fish
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/polkit-1/actions/%{appid}-daemon.policy
%{_datadir}/zsh/site-functions/_%{name}
%{_libexecdir}/%{name}-daemon
%{_metainfodir}/*.appdata.xml
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%dir %{_datadir}/polkit-1
%dir %{_datadir}/polkit-1/actions
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions

%files data
%{_datadir}/%{name}/


%changelog
## START: Generated by rpmautospec
* Mon Apr 29 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 5.0.4-2
- build: Allow build new cpu-x version for f38 with conditional dep

* Mon Apr 29 2024 Packit <hello@packit.dev> - 5.0.4-1
- Update to 5.0.4 upstream release
- Resolves: rhbz#2277708

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 Packit <hello@packit.dev> - 5.0.3-1
- [packit] 5.0.3 upstream release
- Resolves rhbz#2257128

* Mon Nov 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 5.0.2-2
- chore: Change appid

* Mon Nov 13 2023 Packit <hello@packit.dev> - 5.0.2-1
- [packit] 5.0.2 upstream release
- Resolves rhbz#2249442

* Sun Oct 22 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 5.0.1-2
- packit: Update config

* Sun Oct 22 2023 Packit <hello@packit.dev> - 5.0.1-1
- [packit] 5.0.1 upstream release
- Resolves rhbz#2245513 Upstream tag: v5.0.1 Upstream commit: dd629a1f

* Sun Oct 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 5.0.0-2
- build: Ported to C++ so gtkmm-3.0 used now

* Sun Oct 15 2023 Packit <hello@packit.dev> - 5.0.0-1
- [packit] 5.0.0 upstream release

* Sun Oct 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.3-8
- build: Add Packit config

* Sun Oct 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.3-7
- build: Use forge macros

* Sun Oct 15 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.3-6
- license: Convert to SPDX

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 20 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.3-4
- Revert "Revert "build: BR: libproc2 instead of libprocps | #2170458""

* Fri Apr 28 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.3-3
- Revert "build: BR: libproc2 instead of libprocps | #2170458"

* Fri Apr 28 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.3-2
- build: Downgrade libcpuid req to 0.6.2

* Mon Apr 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.3-1
- build: Update to 4.5.3

* Thu Feb 16 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.2-2
- build: BR: libproc2 instead of libprocps | #2170458

* Fri Jan 27 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.2-1
- chore: Update to 4.5.2

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.1-1
- chore(update): 4.5.1

* Sun Oct 23 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 4.5.0-1
- chore(update): 4.5.0

* Mon Aug 29 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 4.4.0-1
- chore(update): 4.4.0

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun May 08 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 4.3.1-1
- chore(update): 4.3.1

* Sat Feb 19 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 4.3.0-1
- chore(update): 4.3.0

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.2.0-1
- build(update): 4.2.0

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.1.0-2
- build: dmidecode - apply upstream patch & remove -Wno-format-security flag

* Sun Jan 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 4.1.0-1
- build(update): 4.1.0

* Sun Dec 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.1-5
- Rebuild | Fix RH#1911068

* Wed Sep  2 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.1-4
- Rebuild | Fix RH#1871467

* Mon Jul 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.1-3
- Rebuild with out-of-source builds new CMake macros

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 13 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.1-1
- Update to 4.0.1

* Sun May 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-1
- Update to 4.0.0

* Sun May 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 4.0.0-0.1rc1
- Update to 4.0.0-rc1

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.4-6.20191114gitfa0fe58
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Nov 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.4-5.20191114gitfa0fe58
- Add exclusive arches

* Thu Nov 14 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.4-4.20191114gitfa0fe58
- Update to latest git snapshot

* Wed Nov 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.4-3.20191106gite8cb544
- Format-Security fix

* Wed Nov 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.4-2.20191106gite8cb544
- Update to latest git snapshot
- Packaging fixes

* Sat Aug 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.4-7.20190806git11158d2
- Initial package

## END: Generated by rpmautospec
